/*---------- sidebar css ----------*/
.c-sidebar-filter{
  position: fixed;
  top: 0;
  bottom: 0;
  left: -265px;
  width: 265px;
  z-index: 200;
  overflow: auto;
  background: $color-white;
  @include transition-all(0.2s);
}
.has-menufilter-open{
  transform: translate3d( 265px, 0, 0 );
  -webkit-transform: translate3d( 265px, 0, 0 );
}
.c-sidebar-ovelay{
  z-index:101;
  position:fixed;
  top:0;
  left:0;
  bottom:0;
  right:0;
  background:#000;
  background:rgba(0,0,0,0.6);
  opacity:0;
  visibility:hidden;
  @include transition-all(0.2s);
  &.is-active{
    visibility:visible;
    opacity:1;
    z-index: 101;
  }
}
.c-sidebar-close{
  color: $color-primary;
  display: block;
  padding: 5px 15px;
  font-size: 16px;
  cursor: pointer;
}
.has-max-scroll{
  max-height: 160px;
}
.c-sidebar-menu{
  ul{
    list-style: none;
    margin: 0 0 0 15px;
    padding: 0;
    display: none;
    li{
      padding-bottom: 3px;
      a{
        text-decoration: none;
        color: $color-text;
      }
    }
    >li{
      &.active, &.is-active, &.current-menu-item{
        >a{
          color: $color-primary;
        }
      }
      &.current-cat-parent, &.current-cat-ancestor, &.current-cat{
        >a{
          color: $color-primary;
        }
        >ul{
          display: block;
        }
      }
    }
  }
}
.c-sidebar-menu{
  >ul{
    margin: 0;
    display: block;
    >li{
      padding-left: 27px;
    }
  }
}
.c-news-featured{
  .b-grid{
    min-height: 72px + 15px;
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid $color-border;
    &:last-child{
      border-bottom: none;
      margin-bottom: 0;
      padding-bottom: 0;
      min-height: 72px;
    }
    .b-grid__img{
      width: 100px;
      height: 72px;
    }
    .b-grid__content{
      margin-left: 112px;
    }
    .b-grid__row{

    }
    .b-grid__title{
      font-weight: 700;
      text-decoration: none;
      color: $color-text;
      display: block;
    }
    .b-grid__time{
      color: $color-time;
      font-style: italic;
      font-size: 13px;
      .far{
        margin-right: 5px;
        font-size: 14px;
      }
    }
  }
}
//sidebar responsive css
@media (min-width: $screen-sm-min){//mobile lanscape

}
@media (min-width: $screen-md-min){//ipad portrait

}
@media (min-width: $screen-lg-min){//ipad lanscape & pc 1024x768px
  .has-menufilter-open{
    transform: translate3d( 0, 0, 0 );
    -webkit-transform: translate3d( 0, 0, 0 );
  }
  .c-sidebar-ovelay{
    display: none;
  }
  .c-sidebar-filter{
    position: static;
    background: transparent;
    width: 230px;
  }
  .c-sidebar-close{
    display: none;
  }
  .c-sidebar-menu{
    ul{
      >li{
        >a{
          &:hover{
            color: $color-primary;
          }
        }
      }
    }
  }
  .c-news-featured{
    .b-grid{
      min-height: 55px + 15px;
      &:last-child{
        min-height: 55px;
      }
      .b-grid__img{
        width: 75px;
        height: 55px;
      }
      .b-grid__row{
        line-height: 18px;
      }
      .b-grid__content{
        margin-left: 88px;
      }
      .b-grid__title{
        font-size: 13px;
        &:hover{
          color: $color-primary;
        }
      }
      .b-grid__time{
        font-size: 12px;
      }
    }
  }
}
@media (min-width: $screen-xl-min){//pc & mac 1280px grow up

}
@media (max-width: $screen-md-max){
  .c-sidebar-filter{
    .c-widget{
      margin-left: 15px;
      margin-right: 15px;
    }
  }
}
//end sidebar responsive css
/*---------- end sidebar css ----------*/